// key_openssl.h
//

#ifndef _KEY_OPENSSL_H_
#define _KEY_OPENSSL_H_

#include <openssl/evp.h>

//
// EXPORTED TYPE DEFINITION
//

struct pktlab_publickey {
    EVP_PKEY * key;
};

struct pktlab_privatekey {
    EVP_PKEY * key;
};

//
// EXPORTED FUNCTION DECLARATIONS
//

extern int dup_key (
    const struct pktlab_publickey * k,
    struct pktlab_publickey ** kdup);

#endif
