#include "util.h"
#include "debug.h"
#include <time.h>

int util_readmsg(struct pktctrl_obj *obj, struct pktlab_message **msg) {
    if (pktctrl_read_message(obj, msg) < 0) {
        perror_exit("pktctrl_read_message", -1);
    }
    if (*msg == NULL) {
        print_err_exit(-1, "pktctrl_read_message: sock EOF\n");
    }
    return 0;
}

int try_send(struct pktctrl_obj *obj, const struct pktlab_message *msg) {
    int rst;
    int i __attribute__((unused));
    struct timespec time
        __attribute__((unused)) = {.tv_sec = 0, .tv_nsec = 100000000};

    rst = pktctrl_write_message(obj, msg);

    // for (i = 0; i < 0 && rst == 0; ++i) {
    //     nanosleep(&time, NULL); // sleep 0.1 sec
    //     rst = pktlab_write_message(w, msg);
    // }
    return rst;
}