// xdescr_util.c
//

#include <stdbool.h>
#include <stdint.h>
#include <stdlib.h>

#include <pktlab.h>

#include "console.h"

//
// EXPORTED FUNCTION DEFINITIONS
//

bool is_wellformed_xdescr(const void *ptr, uint_fast32_t len) {
    struct pktlab_xdescr_dattr_pair *pairs;
    uint_fast32_t paircnt;

    if (pktlab_decode_xdescr(ptr, len, &pairs, &paircnt) < 0)
        return false;

    free(pairs);
    return true;
}

bool is_wellformed_dattr(const void *ptr, uint_fast32_t len) {
    struct pktlab_xdescr_dattr_pair *pairs;
    uint_fast32_t paircnt;

    if (pktlab_decode_dattr(ptr, len, &pairs, &paircnt) < 0)
        return false;

    free(pairs);
    return true;
}