#include <pktif.h>

enum pktif_skt_state {
    SKT_FREE,
    SKT_OPENING,
    SKT_OPEN,
    SKT_PEERCLOSED,
    SKT_SHUTDOWN
};

struct sktinfo {
    uint8_t family;
    uint8_t proto;
};

struct pktif {
    int sock;
    struct sockaddr addr;
    struct pktctrl_obj *ctrlobj;
    enum pktif_skt_state sktstate;
    // some state
    struct sktinfo sktinfo[MAX_SKTID];
    struct callbackmgr *cbmgr;
};