#ifndef _BROKER_H_
#define _BROKER_H_

#include <pktctrl.h>

extern void broker_main(int mgrfd, int depfd, const char *broker_spec, const char *snikey,
                 struct pktlab_privatekey *pk,
                 struct pktlab_publickey **rooteopls, size_t rooteopnum,
                 struct pktctrl_keycert_store *store);

extern int sendxdescr(int depfd, const char *xdescr, size_t len);
extern int recvxdescr(int brokerfd, char *buf, size_t bufsz);

#endif
