// channel.h
//

#ifndef _CHANNEL_H_
#define _CHANNEL_H_

#include <stdint.h>

#include <pktconf.h>
#include <pktlab.h>

//
// EXPORTED TYPE DEFINITIONS
//

struct private_channel {
    uint8_t channelid[PKTLAB_CHANNELID_LEN_MAX];
    struct private_channel * next;
};

//
// EXPORTED FUNCTION DEFINITIONS
//

extern int get_pktlab_channels (
    const struct pktconf_sep_str_ll * strs,
    const struct private_channel * privchs,
    struct pktlab_channel ** channels);

extern void free_pktlab_channels (
    struct pktlab_channel * channels);

#endif